BZip2Utils
Date: 2017-02-08

org.apache.commons.compress.compressors.bzip2

## Class BZip2Utils

- java.lang.Object
- - org.apache.commons.compress.compressors.bzip2.BZip2Utils

-     public abstract class BZip2Utils
      extends java.lang.Object

  Utility code for the BZip2 compression format.
  Since:
    1.1

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getCompressedFilename(java.lang.String filename)` Maps the given filename to the name that the file should have after compression with bzip2.
    `static java.lang.String` | `getUncompressedFilename(java.lang.String filename)` Maps the given name of a bzip2-compressed file to the name that the file should have after uncompression.
    `static boolean` | `isCompressedFilename(java.lang.String filename)` Detects common bzip2 suffixes in the given filename.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isCompressedFilename

          public static boolean isCompressedFilename(java.lang.String filename)

      Detects common bzip2 suffixes in the given filename.
      Parameters:
        `filename` - name of a file
      Returns:
        `true` if the filename has a common bzip2 suffix, `false` otherwise

    - #### getUncompressedFilename

          public static java.lang.String getUncompressedFilename(java.lang.String filename)

      Maps the given name of a bzip2-compressed file to the name that the file should have after uncompression. Commonly used file type specific suffixes like ".tbz" or ".tbz2" are automatically detected and correctly mapped. For example the name "package.tbz2" is mapped to "package.tar". And any filenames with the generic ".bz2" suffix (or any other generic bzip2 suffix) is mapped to a name without that suffix. If no bzip2 suffix is detected, then the filename is returned unmapped.
      Parameters:
        `filename` - name of a file
      Returns:
        name of the corresponding uncompressed file

    - #### getCompressedFilename

          public static java.lang.String getCompressedFilename(java.lang.String filename)

      Maps the given filename to the name that the file should have after compression with bzip2. Currently this method simply appends the suffix ".bz2" to the filename based on the standard behaviour of the "bzip2" program, but a future version may implement a more complex mapping if a new widely used naming pattern emerges.
      Parameters:
        `filename` - name of a file
      Returns:
        name of the corresponding compressed file